# Processes a public payment Allows for publicly payable invoices by taking a payment and processing it anonymously Endpoint: POST /payments/{tenantId}/public Version: v1-2025-04-18 ## Path parameters: - `tenantId` (string, required) The id of the tenant being accessed ## Request fields (application/json): - `contact_info` (object, required) The contact information for the payee - `invoice_id` (string, required) The ID of the invoice being paid - `payment` (object, required) The payment information - `sharing_secret` (string, required) The sharing secret of the invoice being paid ## Response 200 fields (application/json): - `executionArn` (string, required) The arn of the execution - `notification_channel` (string) The id of the channel where progress updates will be posted - `notification_publishKey` (string) The publish key for the channel where progress updates will be posted - `notification_subscribeKey` (string) The subscribe key for the channel where progress updates will be posted - `start_date` (string) The start date of the execution ## Response 400 fields ## Response 401 fields ## Response 403 fields ## Response 404 fields ## Response 429 fields ## Response 500 fields